
#calling packages
library(ggplot2)
library(dplyr)
library(viridis)
library(geobr)
library(sf)
library(maptools)
library(leaflet)
library(RColorBrewer)
library(viridis)
library(ape)


#Loading brazilian states
mapa <- read_state(showProgress = FALSE)

#Poting brazilian states
class(mapa)
mapa
ggplot(mapa)+ 
  geom_sf()

#Selecting the capitals with information in the map
cidades <- data.frame(code_state = c(15, 31, 14, 53, 23, 52, 16, 13, 17, 11, 33, 35))


#Ploting the data
data_map <- data.frame(code_state = c(15, 31, 14, 53, 23, 52, 16, 13, 17, 11, 33, 35),
                       capitals = c("Belem", "Belo Horizonte", "Boa vista", "Brasilia", "Fortaleza",
                                    "Goiania", "Macapa", "Manaus", "Palmas", "Porto Velho", "Rio de Janeiro", "Sao Paulo"),
                       size_samples = c(3112, 49149, 468, 3149, 348, 3248, 1131, 590, 1509, 3059, 6590, 4909))
summary(data_map$size_samples)        
sum(data_map$size_samples)

#Colorng by state
mapa %>% 
  left_join(data_map, by = "code_state") %>% 
  mutate(size_samples1 = 100*size_samples/78172) %>%  
  ggplot(aes(fill = size_samples1), color = "black") +
  geom_sf() + 
  scale_fill_viridis(option="viridis", direction = -1) + theme_bw()


#Coloring capitals with circles
my_palette <- c("#1A476F", "#90353B", "#55752F", "#E37E00",
                "#C10534", "#6E8E84", "#938DD2", "#CAC27E", "#00FFFF",
                "#2D6D66", "#FFD200", "#800080")

coord_pontos <- mapa %>% 
  left_join(data_map, by = "code_state") %>% 
  mutate(size_samples1 = 100*size_samples/35735) %>% 
  st_centroid()

map <- ggplot(mapa)+ 
  geom_sf() + 
  geom_sf(data = coord_pontos, aes(size = size_samples1), col = "blue", alpha = .5,
          show.legend = "point") + scale_size_continuous(breaks =  c(0.5, 2, 5, 10, 20, 35, 50, 65), name = "Positive Sample Size (%)")

map_capitals <- map + theme_classic()
map_capitals


#.png
#Abre
png("map_capitals.png",height = 12.46, width = 13.12, 
    units = 'cm',res=600)
#Joga o grfico
map_capitals
#grava e fecha
dev.off()  

getwd()
setwd("I:/Ger_Pos Analitico/Desenvolvimento e Inovacao/P&D/Dados Coronavirus/artigo_delta_omicron/Aline/Material Suplementar/Figura_1_77262")
