library(tmap)
library(cartogram)
library(readxl)
library(sf)
library(dplyr)


data_pol <- st_read('I:/Ger_Pos Analitico/Desenvolvimento e Inovacao/P&D/Dados Coronavirus/artigo_delta_omicron/Joice/cartograma/br_regioes_da_federacao', layer = 'regioes_2010') #importing shapefile of Brazilian's regions

df <- read_excel('I:/Ger_Pos Analitico/Desenvolvimento e Inovacao/P&D/Dados Coronavirus/artigo_delta_omicron/Joice/n_amostral_artigo_omicron.xlsx')# importing dataset 

dataset <- data_pol %>% left_join(df, by = c("nome" = "regiao"))

datasetproj <- st_transform(dataset, crs = 5880)

nz_carto = cartogram_cont(datasetproj, "relacao", itermax = 4)
map <- tm_shape(nz_carto) + tm_polygons(col = "lightgrey") 
map

#.png
#Abre
png("cartograma.png",height = 6.29, width = 8.06, 
    units = 'cm',res=600)
#Joga o grfico
map

#grava e fecha
dev.off()  
getwd()
