# Package
library(ggplot2)

#importing data
Data_pos <- read.csv2(file.choose(),header = T, sep = "\t") 


#Bar_plot
barras <- ggplot(Data_pos, aes(x = Data_pos$SEM_EPI_DATASET, y = Data_pos$Positivo, fill = Data_pos$Variante, stat="identity")) +
  geom_col(position = "stack") +
  scale_x_continuous(breaks = c(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27), 
                     labels = c("", "35", "36", "37", "38",
                                "39", "40", "41",
                                "42", "43", "44",
                                "45", "46", "47",
                                "48", "49", "50", "51", 
                                "52", "01", "02", "03",
                                "04", "05", "06", "07",
                                "08", "09")) +
  scale_fill_manual(values=c("#D41159", "#5D3A9B")) + theme_classic() 

#eixo secundrio
positive_rate <- barras + geom_line(aes(x=Data_pos$SEM_EPI_DATASET, y=120*Data_pos$Taxa.de.positivos), stat="identity",color="#eead2d",size=0.5) +
  labs(x="Epidemiological Week", y="Positive Samples") +
  theme(legend.position="none") + theme(axis.text.x = element_text(size = 5.5, color = "black"), 
                                          axis.text.y = element_text(size = 7, color = "black"), 
                                          axis.title = element_text(size = 7, color = "black")) +
  scale_y_continuous(sec.axis=sec_axis(~.*1/120, name="Positive Rate (%)")) + theme(axis.line.y.right = element_line(color = "#eead2d"), 
                                                                            axis.ticks.y.right = element_line(color = "#eead2d"),
                                                                            axis.text.y.right = element_text(color = "#eead2d"), 
                                                                            axis.title.y.right = element_text(color = "#eead2d")) 

#Saving .png
png("positive_rate.png", height = 6.1, width = 11, 
    units = 'cm',res=600)
positive_rate
dev.off()  

