#setting the directory
setwd("/Users/paulinha/Desktop/FILOGENIA_BA1.BA2/")

#calling the libraries
library(ape)
library(ggplot2)
library(ggtree)
library(treeio)
library(RColorBrewer)

#Reading the tree file
tree <- read.tree("/Users/paulinha/Desktop/FILOGENIA_BA1.BA2/alignment.fasta.treefile")
#arreading the metadata information
meta <- read.csv("/Users/paulinha/Desktop/FILOGENIA_BA1.BA2/metadata.tsv",
                 header=T,sep="\t")
head(meta)

#Putting colors on the tree. 1- HP sequences. 2 - clades of variants
cor_tip_point <- brewer.pal(5,"Set1")[2]

cor <- brewer.pal(8,"Set3")[1:8]

ba1.seqs <- meta$taxon[which(meta$main == "BA.1")]
ba1.mrca <- getMRCA(tree,ba1.seqs)
head(ba1.seqs)
ba2.seqs <- meta$taxon[which(meta$main == "BA.2")]
ba2.mrca <- getMRCA(tree,ba2.seqs)

ba4.seqs <- meta$taxon[which(meta$main == "BA.4")]
ba4.mrca <- getMRCA(tree,ba4.seqs)

ba5.seqs <- meta$taxon[which(meta$main == "BA.5")]
ba5.mrca <- getMRCA(tree,ba5.seqs)


p <- ggtree(tr = tree, color='grey60',size=0.4) + geom_treescale()

p
p <- p + geom_highlight(node=ba2.mrca,fill=cor[1])
p <- p + geom_highlight(node=ba4.mrca,fill=cor[2])
p <- p + geom_highlight(node=ba5.mrca,fill=cor[3])
p <- p + geom_highlight(node=ba1.mrca,fill=cor[5])

p

#p <- p + geom_highlight(node=b117.mrca,fill=cor[4])
#p

#putting samples sequenced in the tree 
pannel1 <- p %<+% meta + 
  geom_tippoint(aes(subset=(origin=="LBI")),
                fill=cor_tip_point,size=1,
                color=cor_tip_point)
pannel1
